## python-wadllib 1.3.6

=== src/wadllib/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = wadllib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-wadllib 1.1.4

=== debian/changelog ===
python-wadllib (1.1.4-2) unstable; urgency=low

  * Switch to format 3.0 (quilt).
  * debian/control:
    - Move myself as Maintainer, DPMT as Uploaders.
    - Always depend on python-simplejson, drop the alternative python2.6
      dependency, as wadllib explicitly needs simplejson, not json
      provided by python2.6.
    - Remove references on python-elementtree and python-celementtree.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/preinst:
    - Remove it, useful for Ubuntu Lucid only.
  * debian/rules:
    - Install upstream changelog.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 29 Apr 2010 21:52:07 +0200

python-wadllib (1.1.4-1) unstable; urgency=low

  * Initial Debian release (Closes: #551274).
  * Package taken from Ubuntu, major changes introduced are:
    - Switch to debhelper 7.
    - Switch to python-support, also providing preinst script to handle
      removal of stale .pyc files to ease transition.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 17 Oct 2009 13:40:56 +0200

python-wadllib (1.1.2-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Add python2.6 as an alternative to celementree. Add python2.5 and
    python2.6 as alternative Build-Depends. (LP: #374893)

 -- James Westby <james.westby@ubuntu.com>  Fri, 14 Aug 2009 16:31:45 +0100

python-wadllib (0.1~bzr7-0ubuntu1) jaunty; urgency=low

  * New upstream snapshot.
    - Expose dates and times as python datetime objects. This may break code
      that tries to parse these values.
  * Add back VCS-Bzr pointing to the correct location.
  * Turn on the missing doctests extensions that are needed for the tests to pass.

 -- James Westby <james.westby@ubuntu.com>  Mon, 09 Feb 2009 12:33:04 +0100

python-wadllib (0.1~bzr6-0ubuntu3) jaunty; urgency=low

  * Add python2.5 to python-celementtree | python-elementtree so they do not
    get automatically installed on a python2.5 system
  * Remove vcs references in debian/control to non-existant vcs repo
  * Comment ezsetup out of setup.py to tame ezsetup and use installed packages

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Feb 2009 20:42:47 -0500

python-wadllib (0.1~bzr6-0ubuntu2) intrepid; urgency=low

  * Add "python-celementtree | python-elementtree" to Depends and
    Build-Depends-Indep, for python2.4. The code will optimistically import
    the former, but fall back to the latter. They aren't needed on python2.5,
    as it first tries to import the module built in to that version, so these
    can be dropped again when python2.4 is removed from the archive. Thanks
    to Colin Watson.

 -- James Westby <james.westby@canonical.com>  Thu, 16 Oct 2008 12:13:23 +0100

python-wadllib (0.1~bzr6-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #254613)
  * Disable setuptools_bzr in setup.py, as we are building from a tarball,
    and so the detection of version controlled data files fails, meaning
    that important files are not included in the package.

 -- James Westby <james.westby@canonical.com>  Mon, 04 Aug 2008 12:37:47 +0100

=== debian/control ===
Source: python-wadllib
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.4), python-setuptools, python-support
Standards-Version: 3.8.4
Homepage: https://launchpad.net/wadllib
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-wadllib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-wadllib/trunk/
XS-Python-Version: >= 2.4

Package: python-wadllib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-simplejson, python-lazr.uri
Description: Python library for navigating WADL files
 The Web Application Description Language (WADL) is an XML vocabulary for
 describing the capabilities of HTTP resources. wadllib can be used in
 conjunction with an HTTP library to navigate and manipulate those resources.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils $@

override_dh_installchangelogs:
	dh_installchangelogs src/wadllib/NEWS.txt

=== debian/watch ===
version=3
https://launchpad.net/wadllib/+download http://launchpad.net/wadllib/.*/wadllib-(.+).tar.gz

## python-wadllib 1.1.8+ds

=== debian/changelog ===
python-wadllib (1.1.8+ds-1build1) natty; urgency=low

  * No-change rebuild to prefer python2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Dec 2010 09:41:49 +0100

python-wadllib (1.1.8+ds-1) experimental; urgency=low

  * New upstream release.
  * Repack upstream tarball to include COPYING.txt and HACKING.txt files,
    they were removed from release tarball by mistake.
  * Switch to dh_python2.
  * debian/patches/no_package_data.patch:
    - Do not install documentation files in Python module directory.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/docs:
    - Install documentation files under /usr/share/doc.
  * debian/pydist-overrides:
    - Do not require elementtree as dependency.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 04 Dec 2010 12:56:24 +0100

=== debian/control ===
Source: python-wadllib
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.5-2~), python-setuptools
Standards-Version: 3.9.1
Homepage: https://launchpad.net/wadllib
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-wadllib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-wadllib/trunk/
X-Python-Version: >= 2.4

Package: python-wadllib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-simplejson, python-lazr.uri
Breaks: ${python:Breaks}
Description: Python library for navigating WADL files
 The Web Application Description Language (WADL) is an XML vocabulary for
 describing the capabilities of HTTP resources. wadllib can be used in
 conjunction with an HTTP library to navigate and manipulate those resources.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/python-wadllib -wholename "*python2.*/wadllib" \
		-exec install -m 0644 $(CURDIR)/src/wadllib/version.txt {} \;

override_dh_installchangelogs:
	dh_installchangelogs src/wadllib/NEWS.txt

## python-wadllib 1.2.0+ds

=== debian/changelog ===
python-wadllib (1.2.0+ds-2) unstable; urgency=low

  * Python transition:
    - Add support for python2.7
    - Drop support for python2.5
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 18 Apr 2011 22:41:01 +0200

python-wadllib (1.2.0+ds-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Feb 2011 21:52:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.5-2~), python-setuptools
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-3~), python-setuptools
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/wadllib
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-wadllib/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-wadllib/trunk/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
https://launchpad.net/wadllib/+download http://launchpad.net/wadllib/.*/wadllib-(.+).tar.gz

## python-wadllib 1.3.0

=== debian/changelog ===
python-wadllib (1.3.0-2) unstable; urgency=low

  * Rebuild against python3-defaults 3.2.3~rc1-2, to generate correct
    ${python3:Depends}.
  * Patch no-et-roundtrip: Avoid round-trip through ET that loses namespaces.
    (LP: #924240)
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Mar 2012 16:48:48 +0200

python-wadllib (1.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #658051)
    - With Python 3 support. Thanks Barry Warsaw.
  * New maintainer.
  * Wrap long dependency lists.
  * Run test suite.
    - B-D on python-all and python3-all for test suite.
  * Dropped usage of ${python:Breaks}, no longer used by dh_python2.
  * Drop pydist-overrides, no longer necessary.
  * Updated watch file.
  * Clean src/egg-info.
  * Removed changelog duplicate, NEWS.txt.
  * debian/copyright: Converted to DEP5 machine-readable format.
  * Install version.txt via package_data.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Feb 2012 00:39:57 +0200

=== debian/control ===
Source: python-wadllib
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7.3.0),
 python-all (>= 2.6.6-3~),
 python-lazr.uri,
 python-setuptools,
 python3-all (>= 3.1.2-6~),
 python3-lazr.uri,
 python3-setuptools
Standards-Version: 3.9.3
Homepage: https://launchpad.net/wadllib
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-wadllib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-wadllib/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2

Package: python-wadllib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library for navigating WADL files
 The Web Application Description Language (WADL) is an XML vocabulary for
 describing the capabilities of HTTP resources. wadllib can be used in
 conjunction with an HTTP library to navigate and manipulate those resources.
 .
 This package provides wadllib for Python 2.x.

Package: python3-wadllib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library for navigating WADL files
 The Web Application Description Language (WADL) is an XML vocabulary for
 describing the capabilities of HTTP resources. wadllib can be used in
 conjunction with an HTTP library to navigate and manipulate those resources.
 .
 This package provides wadllib for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs -k src/wadllib/NEWS.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf src/*.egg-info

## python-wadllib 1.3.2

=== debian/changelog ===
python-wadllib (1.3.2-3) unstable; urgency=medium

  * Return binary MIME representation, rather than string. (LP: #1414063)
  * Bump python3 compat to 3.4.
  * Bump standards version to 3.9.6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 11 Feb 2015 04:34:50 +0000

python-wadllib (1.3.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stefano Rivera ]
  * Upload to unstable.
  * Drop SOURCES.txt from the binary packages.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 May 2013 00:42:46 +0200

python-wadllib (1.3.2-1) experimental; urgency=low

  [ Barry Warsaw ]
  * Team upload.
    - New upstream release.
    - Fix hash randomization test failure for Python 3.3.
      (LP: #1132125) (Closes: #686332)
  * debian/control: Update Standards-Version to 3.9.4.

  [ Stefano Rivera ]
  * Drop no-et-roundtrip patch, applied upstream.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Feb 2013 02:14:37 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-all (>= 3.1.2-6~),
  python3-lazr.uri,
  python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/wadllib
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-wadllib/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-wadllib/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-wadllib/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-wadllib/trunk/
 X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: python-wadllib
 Architecture: all

=== debian/watch ===
version=3
https://launchpad.net/wadllib/+download .*/wadllib-(.+).tar.gz

## python-wadllib 1.3.3

=== debian/changelog ===
python-wadllib (1.3.3-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:44:49 +0000

python-wadllib (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #938254).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Wed, 09 Oct 2019 12:04:10 +0200

python-wadllib (1.3.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Stefano Rivera ]
  * Port to pybuild.
  * Bump debhelper compat level to 11.
  * Bump copyright years.
  * Bump Standards-Version to 4.2.0, no changes needed.
  * Declare Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Aug 2018 20:15:08 +0100

python-wadllib (1.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Colin Watson ]
  * New upstream release:
    - Fix MIME encoding of binary parts (LP: #1729754).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jul 2018 14:18:49 +0100

=== debian/control ===
Source: python-wadllib
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all (>= 3.1.2-6~),
 python3-lazr.uri,
 python3-setuptools
Standards-Version: 4.2.0
Homepage: https://launchpad.net/wadllib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-wadllib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-wadllib
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-wadllib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 library for navigating WADL files
 The Web Application Description Language (WADL) is an XML vocabulary for
 describing the capabilities of HTTP resources. wadllib can be used in
 conjunction with an HTTP library to navigate and manipulate those resources.
 .
 This package provides wadllib for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wadllib

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k src/wadllib/NEWS.txt

## python-wadllib 1.3.4

=== debian/changelog ===
python-wadllib (1.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Update standards version to 4.2.1, no changes needed.
  * Wrap long lines in changelog entries: 0.1~bzr7-0ubuntu1.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Apr 2020 16:56:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all (>= 3.1.2-6~),
  python3-lazr.uri,
  python3-setuptools
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://launchpad.net/wadllib
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-wadllib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-wadllib

## python-wadllib 1.3.5

=== debian/changelog ===
python-wadllib (1.3.5-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * d/control: Update Uploaders field with new Debian Python Team
    contact address.
  * Update upstream metadata.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump copyright years.
  * Bump watch format version to 4.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Jan 2021 23:43:58 -0700

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Stefano Rivera <stefanor@debian.org>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  python3-all (>= 3.1.2-6~),
  python3-lazr.uri,
  python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://launchpad.net/wadllib
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-wadllib.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-wadllib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-wadllib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wadllib
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

## python-wadllib 1.3.6

=== debian/changelog ===
python-wadllib (1.3.6-5) unstable; urgency=medium

  * Clean correctly. (Closes: #1047164)
  * Setuptools no longer installs the docs in the binary:
    - Include the doctest file in pybuild.testfiles, fixing FTBFS.
    - In the autopkgtest, copy the doctest file to a temporary directory and
      test with pytest.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Aug 2023 15:31:11 +0200

python-wadllib (1.3.6-4) unstable; urgency=medium

  * Team upload.
  * Run tests at build time using pytest.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Dec 2022 13:23:04 +0000

python-wadllib (1.3.6-3) unstable; urgency=medium

  * Team Upload.
  * Permit stderr in autopkgtest test (Closes: #1025178).

 -- Stuart Prescott <stuart@debian.org>  Fri, 02 Dec 2022 22:49:44 +1100

python-wadllib (1.3.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.
  * Update standards version to 4.6.1, no changes needed.

  [ Stefano Rivera ]
  * Support the nocheck build profile.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Oct 2022 17:46:43 +0200

python-wadllib (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.
  * Add link to Changelog in UMEGAYA.
  * Patch: Include docs in the installed tree, for doctest autopkgtests.
  * Run the test suite as autopkgtests.
  * Update paths to README and NEWS.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 12:37:12 -0700

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.1.2-6~),
- python3-lazr.uri,
+ python3-all,
+ python3-lazr.uri <!nocheck>,
+ python3-pytest,
  python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://launchpad.net/wadllib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-wadllib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wadllib
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-wadllib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wadllib
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--doctest-glob '*.rst'

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

=== debian/tests/control ===
Tests: py3
Depends: python3-all, python3-pytest, python3-wadllib
Restrictions: allow-stderr

## python-wadllib 2.0.0

=== debian/changelog ===
python-wadllib (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 20:04:42 +0200

python-wadllib (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Use packaged version of multipart.

 -- Colin Watson <cjwatson@debian.org>  Sun, 22 Dec 2024 11:24:17 +0000

python-wadllib (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Port from pkg_resources to importlib.resources, and drop unused
      install-time requirement on setuptools (closes: #1083718).
    - Switch to multipart (closes: #1082280).
  * Temporarily vendor multipart 1.1 into debian/ due to
    https://pypi.org/project/python-multipart/ clashing with multipart's
    namespace.
  * Switch to autopkgtest-pkg-pybuild.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2024 14:58:16 +0100

python-wadllib (1.3.9-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Switch to pypi.debian.net.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Oct 2024 15:24:59 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wadllib/wadllib@ANY_VERSION@@ARCHIVE_EXT@
